| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
iolink.iolink.SpatialCalibrationProperty Class Reference
Inheritance diagram for iolink.iolink.SpatialCalibrationProperty:

## Public Member Functions
| __init__ (self, *args)
| get_origin (self)
| get_spacing (self)
| get_directions (self)
| get_unit (self)
| set_origin (self, origin)
| set_spacing (self, spacing)
| set_directions (self, directions)
| set_unit (self, unit)
| __eq__ (self, other)
| __ne__ (self, other)
| to_string (self)
| __repr__ (self)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| origin = property(get_origin, set_origin, doc=get_origin.__doc__)
| spacing = property(get_spacing, set_spacing, doc=get_spacing.__doc__)
| directions = property(get_directions, set_directions, doc=get_directions.__doc__)
| unit = property(get_unit, set_unit, doc=get_unit.__doc__)

## Detailed Description

    This Property is used to represent the image properties in world space.
    - origin: the position of the image in space.
    - spacing: the size of samples along each axis.
    - orientation: the direction cosines among each axis.
    - unit: the unit of the three axes defined by the precedent attributes.

    The units are described by a string following a basic convention:
    Abridged units names, "cm" for centimeters or "in" for inches for example.
    If there is no commonly used abridged unit, just use the unit name.
    No punctuation at the end, unless it is part of the abridged notation.

    If the dimension has no unit, it is described by the empty string.

    Some examples:
     - "µm" for micrometers
     - "ft" for foot
     - "mi" for a mile
     - "Å" for angstrom
     - "min" for minute

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.SpatialCalibrationProperty.__init__ | ( |  | self,
|  | * | args
| ) |  |

        *Overload 1:*

        Initialize the property with default values.

         - origin: {0.0, 0.0, 0.0}
         - spacing: {1.0, 1.0, 1.0}
         - orientation: {1.0, 1.0, 1.0}
         - unit: ""

        |

        *Overload 2:*

        Initialize the property with only a custom origin.

        :type origin: :py:class:`Vector3d`
        :param origin: origin the origin of the calibration

        |

        *Overload 3:*

        Initialize a calibration property with an origin and a spacing.

        :type origin: :py:class:`Vector3d`
        :param origin: The origin position of the ImageView.
        :type spacing: :py:class:`Vector3d`
        :param spacing: The size of each element of the raster grid.

        |

        *Overload 4:*

        Initialize a calibration without a specific unit.

        :type origin: :py:class:`Vector3d`
        :param origin: The origin position of the ImageView.
        :type spacing: :py:class:`Vector3d`
        :param spacing: The size of each element of the raster grid.
        :type direction: :py:class:`SpatialDirections`
        :param direction: The directions for each axes.

        |

        *Overload 5:*

        Initialize a calibration property.

        :type origin: :py:class:`Vector3d`
        :param origin: The origin position of the ImageView.
        :type spacing: :py:class:`Vector3d`
        :param spacing: The size of each element of the raster grid.
        :type direction: :py:class:`SpatialDirections`
        :param direction: The directions for each axes.
        :type unit: string
        :param unit: The unit of the axes.

        |

        *Overload 6:*

        Copy constructor.

        :type other: :py:class:`SpatialCalibrationProperty`
        :param other: The calibration to copy

        |

        *Overload 7:*

        Move constructor.

        :type other: :py:class:`SpatialCalibrationProperty`
        :param other: The calibration to copy

## Member Function Documentation

## ◆ __eq__()

iolink.iolink.SpatialCalibrationProperty.__eq__ | ( |  | self,
|  |  | other
| ) |  |

        Equality operator.

        :type other: :py:class:`SpatialCalibrationProperty`
        :param other: calibration property to compare to current one

## ◆ __ne__()

iolink.iolink.SpatialCalibrationProperty.__ne__ | ( |  | self,
|  |  | other
| ) |  |

        Not Equality operator.

        :type other: :py:class:`SpatialCalibrationProperty`
        :param other: calibration property to compare to current one

## ◆ get_directions()

iolink.iolink.SpatialCalibrationProperty.get_directions | ( |  | self | ) |

    Get the spatial axis system.

## ◆ get_origin()

iolink.iolink.SpatialCalibrationProperty.get_origin | ( |  | self | ) |

    Get the origin.

## ◆ get_spacing()

iolink.iolink.SpatialCalibrationProperty.get_spacing | ( |  | self | ) |

    Get the spacing.

## ◆ get_unit()

iolink.iolink.SpatialCalibrationProperty.get_unit | ( |  | self | ) |

    Get the unit.

## ◆ set_directions()

iolink.iolink.SpatialCalibrationProperty.set_directions | ( |  | self,
|  |  | directions
| ) |  |

    Set the directions.

## ◆ set_origin()

iolink.iolink.SpatialCalibrationProperty.set_origin | ( |  | self,
|  |  | origin
| ) |  |

    Set the origin.

## ◆ set_spacing()

iolink.iolink.SpatialCalibrationProperty.set_spacing | ( |  | self,
|  |  | spacing
| ) |  |

    Set the spacing.

## ◆ set_unit()

iolink.iolink.SpatialCalibrationProperty.set_unit | ( |  | self,
|  |  | unit
| ) |  |

    Set the unit.

## ◆ to_string()

iolink.iolink.SpatialCalibrationProperty.to_string | ( |  | self | ) |

    Return string representation

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py